using System;
using System.Collections.Generic;
namespace DomainClasses
{
  public class Person
  {
   
    public int Id { get; set; }
    public string FirstName { get; set; }
    public string LastName { get; set; }
   public List<Address> Addresses { get; }=    new List<Address>();
        public bool IsDeleted { get; set; }
    }

  public class Address
  {
   
    public int Id { get; set; }
    public string Street { get; set; }
    public string PostalCode { get; set; }
    public List<Person> Residents { get;  } = new List<Person>();
    public List<WildlifeSighting> WildlifeSightings { get; } = new List<WildlifeSighting>();
  }


  //public class Resident
  //{
  //  public int PersonId { get; set; }
  //  public int AddressId { get; set; }
  //  public DateTime LocatedDate { get; private set; }
  //}

  public class WildlifeSighting
  {
    public int Id { get; set; }
    public string Description { get; set; }
    public DateTime DateTime { get; set; }
    public int AddressId { get; set; }
  }

  public class ScaryWildlifeSighting:WildlifeSighting
  {
    public string Experience { get; set; }
  }

}